srecord: srecord::input_generator Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::input_generator Class Referenceabstract

The srecord::input_generator class is used to represent the state of generating data from whole cloth. More...

`#include <generator.h>`

Inheritance diagram for srecord::input_generator:
[legend]
Collaboration diagram for srecord::input_generator:
[legend]

## Public Member Functions
virtual | ~input_generator ()
| The destructor.
| input_generator (const interval &range)
| The constructor.
Public Member Functions inherited from srecord::input
virtual | ~input ()
| The destructor.
virtual void | fatal_error (const char *,...) const FORMAT_PRINTF(2
| The fatal_error method is used to report problems parsing the file.
virtual void virtual void | fatal_error_errno (const char *,...) const FORMAT_PRINTF(2
| The fatal_error_errno method is used to report problems reading the input file.
virtual void virtual void virtual void | warning (const char *,...) const FORMAT_PRINTF(2
| The warning method is used to report potential (but non-fatal) problems parsing the file.
virtual void virtual void virtual void virtual std::string | filename (void) const =0
| The filename method is used to get the name of the input file being processed.
virtual std::string | filename_and_line (void) const
| The filename_and_line method is used to get the name and current line number within the file.
virtual const char * | get_file_format_name (void) const =0
| The get_file_format_name method is used to find out the name of the file format being read.
void | set_quit (quit &)
| The set_quit method is used to set the disposition of the error messages, and the "exit" implementation.
void | reset_quit (void)
| The reset_quit method is used to cause the disposition of the error messages, and the "exit" back to the default.
virtual void | command_line (srecord::arglex_tool *cmdln)
| The command_line method is used by arglex_srec::get_input when parsing the command line, to give a format or filter an opportunity to grab extra arguments off the command line.

## Static Public Member Functions
static input::pointer | create (arglex_tool *cmdln)
| The create class method may be used to create new instances of input data generators.

## Protected Member Functions
bool | read (record &record)
| The read method is used to read one record from the input.
void | disable_checksum_validation ()
| The disable_checksum_validation method is used to have this input stream ignore checksum errors.
virtual unsigned char | generate_data (unsigned long address)=0
| The generate_data method is used to manufacture data for a specific address.
Protected Member Functions inherited from srecord::input
| input ()
| The default constructor.

## Additional Inherited Members
Public Types inherited from srecord::input
typedef std::shared_ptr< input > | pointer

## Detailed Description

The srecord::input_generator class is used to represent the state of generating data from whole cloth.

Definition at line 33 of file generator.h.

## Constructor & Destructor Documentation

## ◆ ~input_generator()

virtual srecord::input_generator::~input_generator | ( |  | ) |
| virtual

The destructor.

## ◆ input_generator()

srecord::input_generator::input_generator | ( | const interval & | range | ) |

The constructor.

Parameters

  range | The data range over which data is to be generated.

Referenced by generate_data().

## Member Function Documentation

## ◆ create()

input::pointer srecord::input_generator::create | ( | arglex_tool * | cmdln | ) |
| static

The create class method may be used to create new instances of input data generators.

Parameters

  cmdln | The command line arguments, for deciding what to generate.

## ◆ read()

bool srecord::input_generator::read | ( | record & | rec | ) |
| protectedvirtual

The read method is used to read one record from the input.

It returns 0 at the end of the input, and 1 if a record is read successfully.

See the srecord::record documentation (header file) for details of the various record types.

Note: there is no guarantee that a header record will appear first, or that a execution start address record will appear last.

Parameters

  rec | Where to put the returned data.

Returns
  bool; true if data was read, false if at end-of-file

Implements srecord::input.

## ◆ disable_checksum_validation()

void srecord::input_generator::disable_checksum_validation | ( |  | ) |
| protectedvirtual

The disable_checksum_validation method is used to have this input stream ignore checksum errors.

Implements srecord::input.

## ◆ generate_data()

virtual unsigned char srecord::input_generator::generate_data | ( | unsigned long | address | ) |
| protectedpure virtual

The generate_data method is used to manufacture data for a specific address.

Parameters

  address | The address to generate data for.

Returns
  one byte of data

Implemented in srecord::input_generator_constant, srecord::input_generator_random, and srecord::input_generator_repeat.

References input_generator().

The documentation for this class was generated from the following file:

- input/generator.h